# Class CIM_RejectConnectionAction
extends CIM_PolicyAction

RejectConnectionAction is used to cause a connection or its negotiation to be terminated. For example, it can be used in conjunction with an address filter on UDP port 500 to reduce Denial of Service vulnerability. As another example, it can be specified as a low priority rule to explicitly define the default action for IKE key exchange negotiations - i.e., if the higher priority rules are not satisfied, then reject the connection negotiation.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_RejectConnectionAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

RejectConnectionAction is used to cause a connection or its negotiation to be terminated. For example, it can be used in conjunction with an address filter on UDP port 500 to reduce Denial of Service vulnerability. As another example, it can be specified as a low priority rule to explicitly define the default action for IKE key exchange negotiations - i.e., if the higher priority rules are not satisfied, then reject the connection negotiation.

MappingStrings | string | IPSP Policy Model.IETF|IKERejectAction
UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods